View Issue Details

IDProjectCategoryView StatusLast Update
0028800LazarusIDEpublic2015-12-21 10:28
Reporterfreeman35Assigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Platformx64OSosxOS Version10.11
Product Version1.5 (SVN)Product Buildr49987 
Target VersionFixed in Version 
Summary0028800: TCombobox can NOT select with mouse click
Descriptionfpc r32922 lazarus r49987 el capitan qt x64

TCombobox can NOT select with mouse click. in IDE as well
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Zeljan Rikalo

2015-10-08 12:51

developer   ~0086336

Please attach example project and better explain problem. I cannot reproduce any problem with combobox selection here.
Lazarus 1.5 r49992 FPC 2.6.4 x86_64-linux-qt.

freeman35

2015-10-08 13:09

reporter   ~0086337

I'm use fpc svn(3.1.1) fpc r32922
Open new empty project, Put TCombobox on form, add a few any items from objectinspector then try.
Or open lazarus IDE options, and try any combobox

Zeljan Rikalo

2015-10-09 11:36

developer   ~0086388

Works fine here.

Maxim Ganetsky

2015-10-09 13:47

developer   ~0086394

@Zeljan: note that reporter is on Mac OS X.

freeman35

2015-10-18 14:08

reporter   ~0086667

"FPC SVN" r32069 & lazarus r50095

I'm not sure about svn version, I found by chance,
If mouse on, popuped window when open, can not select via mouse.
If mouse NOT on, popuped window when open, I mean open via keyboard (Alt + Down key) then mouse move on popuped windows and can select item from windows via mouse.

My system still "OS X" EL CAPITAN [10.11] QT x64

Zeljan Rikalo

2015-10-18 15:15

developer   ~0086670

Really don't know. I've already mentioned that Qt 4.XX have some problems with modal (and probably with popup) windows under osx 64bit (Qt cocoa).

freeman35

2015-12-20 16:51

reporter   ~0088109

Please close this report.
working normal.

Zeljan Rikalo

2015-12-21 09:59

developer   ~0088127

Please close.

Issue History

Date Modified Username Field Change
2015-10-08 12:36 freeman35 New Issue
2015-10-08 12:51 Zeljan Rikalo LazTarget => -
2015-10-08 12:51 Zeljan Rikalo Note Added: 0086336
2015-10-08 12:51 Zeljan Rikalo Status new => feedback
2015-10-08 13:09 freeman35 Note Added: 0086337
2015-10-08 13:09 freeman35 Status feedback => new
2015-10-09 11:36 Zeljan Rikalo Note Added: 0086388
2015-10-09 13:47 Maxim Ganetsky Note Added: 0086394
2015-10-18 14:08 freeman35 Note Added: 0086667
2015-10-18 15:15 Zeljan Rikalo Note Added: 0086670
2015-12-20 16:51 freeman35 Note Added: 0088109
2015-12-21 09:59 Zeljan Rikalo Note Added: 0088127
2015-12-21 09:59 Zeljan Rikalo Status new => resolved
2015-12-21 09:59 Zeljan Rikalo Resolution open => no change required
2015-12-21 09:59 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-12-21 10:28 freeman35 Status resolved => closed